Skip to content

List bulk operations on this supercase

Request

Security
oauth2(Required scopes: supercase:read) or bearerAuth or apiKeyHeader
Path
supercaseIdstringrequired

The ID of the supercase

Query
searchableboolean

If true, format the entire response as one suitable for an ElasticSearch search index.

Default:false
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

sortByArray of strings

The data attributes by which to sort the results.

operationTypesArray of strings

List of desired operation types.

Items Enum:"update""sendMessage""createDoNotInteract""deleteDoNotInteract""sendInstructionsByTask"
GET
/supercases/{supercaseId}/bulk-operations
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/supercases/{supercaseId}/bulk-operations?searchable=false&limit=25&startingAfter=string&sortBy=string&operationTypes=update' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(SupercaseBulkOperation)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ {} ] }